Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IWatchExpressionResult

public interface IWatchExpressionResult

The result of an evaluation performed by an `org.eclipse.debug.core.model.IWatchExpressionDelegate`. A watch expression reports the value of the evaluation and any errors or exceptions that occurred.

Since:
  3.0
See Also:
  `IWatchExpressionDelegate`

Method Summary
`String[]` | `getErrorMessages()` Returns an array of problem messages.
`DebugException` | `getException()` Returns any exception that occurred while performing the evaluation or `null` if an exception did not occur.
`String` | `getExpressionText()` Returns the expression that was evaluated.
`IValue` | `getValue()` Returns the value representing the result of the evaluation, or `null` if the associated evaluation failed.
`boolean` | `hasErrors()` Returns whether the evaluation had any problems or if an exception occurred while performing the evaluation.

Method Detail

### getValue

    public IValue getValue()

  Returns the value representing the result of the evaluation, or `null` if the associated evaluation failed. If the associated evaluation failed, there will be problems, or an exception in this result.

  Returns:
    the resulting value, possibly `null`

### hasErrors

    public boolean hasErrors()

  Returns whether the evaluation had any problems or if an exception occurred while performing the evaluation.

  Returns:
    whether there were any problems.
  See Also:
    `getErrorMessages()`, `getException()`

### getErrorMessages

    public String[] getErrorMessages()

  Returns an array of problem messages. Each message describes a problem that occurred while compiling the snippet.

  Returns:
    evaluation error messages, or an empty array if no errors occurred

### getExpressionText

    public String getExpressionText()

  Returns the expression that was evaluated.

  Returns:
    The string expression.

### getException

    public DebugException getException()

  Returns any exception that occurred while performing the evaluation or `null` if an exception did not occur. The exception will be a debug exception or a debug exception that wrappers a debug model specific exception that indicates a problem communicating with the target or with actually performing some action in the target.

  Returns:
    The exception that occurred during the evaluation
  See Also:
    `DebugException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.